%--------------------------
%   Ehsan Alivandi Farsi
%   2130866
%   CEG4311  A1-1-3
%--------------------------

% Fourier Transform G=FH
x=-15.5:0.5:16;
y=x;
r=0.1;
[X,Y]=meshgrid(x,y);
% To avoid division by zero

X=X+eps;    
Y=Y+eps;
Z=sqrt(X.^2 + Y.^2);
J=((10 ./ (pi * Z) ) .* (besselj(1,0.2*pi*Z))) .* ((exp(-j*pi*X) .* exp(-j*pi*Y)) .* (0.5*sinc(X/2)) .* (0.5*sinc(Y/2)));
mesh(X,Y,abs(J))            
title('Ehsan Alivandi 2130866');
xlabel('x (ph)'), ylabel('y (ph)');