%--------------------------
%   Ehsan Alivandi Farsi
%   2130866
%   CEG4311  A1-3-1
%--------------------------

r1=1.5; r2=4.5; c1=0.2; c2=0.0158;
n1=-9:1:9; n2=n1;
[n1,n2]=meshgrid(n1);
f1=c1*exp(-(n1.^2+n2.^2)/r1.^2);
f2=c2*exp(-(n1.^2+n2.^2)/r2.^2);

figure,freqz2(f1,256,256,1/512); title('Ehsan Alivandi 2130866'); 
xlabel('x (c/ph)'), ylabel('y (c/ph)');
figure,freqz2(f2,256,256,1/512); title('Ehsan Alivandi 2130866'); 
xlabel('x (c/ph)'), ylabel('y (c/ph)');

[e1 a1 a2]=freqz2(f1,256,256,1/512);
[A1 A2]=meshgrid(a1,a2);
[e2 b1 b2]=freqz2(f2,256,256,1/512);
[B1 B2]=meshgrid(b1,b2);

figure,[m1,m2]=contour(A1,A2,e1,14); % 1.4 / 0.1 = 14,   so we will have 14 cuts
title('Ehsan Alivandi 2130866'); clabel(m1,m2); xlabel('x (c/ph)'), ylabel('y (c/ph)');

figure,[m3,m4]=contour(B1, B2, e2,10); % 1.0 / 0.1 = 10    so we will have 10 cuts
title('Ehsan Alivandi 2130866'); clabel(m3,m4); xlabel('x (c/ph)'), ylabel('y (c/ph)');
