%--------------------------
%   Ehsan Alivandi Farsi
%   2130866
%   CEG4311  A1-1-1
%--------------------------

% FT of f(x,y) = rect(2(x-0.5),2(y-0.5)) is analytically calculated
% and inserted in the code --- 0 < x,y <+1 , 0.02 step
x=-15.5:.5 :16; 
y=x;        

% generating a 2D grid of xy values
[X,Y]=meshgrid(x,y);  
 
% generate the Gaussian function on the grid
Z=exp(-j*pi*X) .* exp(-j*pi*Y) .* (0.5*sinc(X/2)) .* (0.5*sinc(Y/2));  
 
% generate the perspective plot
mesh(X,Y,abs(Z)) 
title('Ehsan Alivandi 2130866');
xlabel('x (c/ph)'), ylabel('y (c/ph)');
set(gca,'ydir','reverse'); 