%--------------------------
%   Ehsan Alivandi Farsi
%   2130866
%   CEG4311  A1-1-12
%--------------------------

% FT of h(x,y) = (100/pi)circ(10x,10y) is analytically calculated
% and inserted in the code
x=-15.5:0.5:16;
y=x;
[X,Y]=meshgrid(x,y);
X=X+eps;        %avoid case zero
Y=Y+eps;        %avoid case zero
Z=sqrt(X.^2 + Y.^2);
J=(10 ./ (pi * Z) ).*(besselj(1,0.2*pi*Z));

% generate the perspective plot
mesh(X,Y,abs(J));
title('Ehsan Alivandi 2130866');
xlabel('x (ph)'), ylabel('y (ph)');